Subject: Re: [PATCH 0/5] git p4: fix branch detection with --use-client-spec

From: Pete Wyckoff <[email-masked]>
Date: Sun, 12 Aug 2012 10:04:49 -0400

[email-masked] wrote on Sat, 11 Aug 2012 21:41 -0700:
> Pete Wyckoff <[email-masked]> writes:
> 
> > [email-masked] wrote on Fri, 10 Aug 2012 12:14 -0700:
> >> Using git p4 on git version 1.7.12.rc2 has path issues. Standard
> >> clone/sync ops apparently place detected master and branches on
> >> independent and parallel directory structures instead of git branches.
> >> See http://stackoverflow.com/q/11893688/1588831 for a full demo of the problem.
> >
> > Thank you for the detailed report.  It is a bug in 1.7.12-rc2.
> 
> Do you mean "a feature that was present in 1.7.11 without this bug
> was broken when used with 1.7.12-rc2"?  Or do you mean "this bug
> exists in 1.7.12-rc2 (older versions may or may not have it, but I
> am stressing that it is not fixed)"?
> 
> The description for [PATCH 5/5] blames v1.7.9-rc0~4^2~1, which tells
> me it is the latter.  And if that were the case, and if this were in
> the area of the system I oversee, I wouldn't push it to the upcoming
> release at this late in the cycle, when I do not know what other
> things it might break while fixing this bug (in other words, a fix
> to an old bug is not an execuse to introduce a regression).
> 
> But git-p4 is not in my area, so if you meant this should go in the
> upcoming 1.7.12 release, I'll queue them directly on 'master'.
> 
> Please tell me what your preference is.

Good point about "already released bugs".  I confirmed it was
broken in 1.7.11 too, so there's no reason to rush this fix into
1.7.12.  If you could queue it up in pu, that would be great.
Otherwise I'll resubmit after the upcoming release.

Thanks,

		-- Pete